# Interface IViewerObservableValue<T>

Type Parameters:
  `T` - type of the value of the observable

All Superinterfaces:
  `IObservable, IObservableValue<T>, IViewerObservable`

public interface IViewerObservableValue<T> extends IObservableValue<T>, IViewerObservable
`IObservableValue` observing a JFace Viewer.

Since:
  1.2

## Method Summary

### Methods inherited from interface IObservable

`addChangeListener, addDisposeListener, addStaleListener, dispose, getRealm, isDisposed, isStale, removeChangeListener, removeDisposeListener, removeStaleListener`

### Methods inherited from interface IObservableValue

`addValueChangeListener, getValue, getValueType, removeValueChangeListener, setValue`

### Methods inherited from interface IViewerObservable

`getViewer`